Subject: Re: [RFC/PATCH] powerpc: Use rtas query-cpu-stopped-state in smp spinup

From: Michael Ellerman <[email-masked]>
Date: Tue, 11 Apr 2006 10:53:20 +0200

On Thu, 2006-04-06 at 20:10 -0500, Nathan Lynch wrote:
> I tried your patch (non-kexec boot) on a 1-way SMT power5 with
> 2.6.17-rc1 and got the badness below, and I think it matches what I
> ran into in the past.  Maybe doing query-cpu-stopped-state on a thread
> that has yet to be started by RTAS mucks things up?
> 
> Memory: 2047640k/2097152k available (5356k kernel code, 49512k
> reserved, 1412k data, 900k bss, 240k init)
> Calibrating delay loop... 375.80 BogoMIPS (lpj=751616)
> Security Framework v1.0.0 initialized
> SELinux:  Disabled at boot.
> Mount-cache hash table entries: 256
> Processor 1 is stuck.               <<<<<<<<

OK, thanks for testing it. This is clearly not going to fly.

cheers

-- 
Michael Ellerman
IBM OzLabs

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person